# expect://

expect:// — Flux d'interactions de processus

### Description

Les flux ouverts avec l'enveloppe expect:// permettent d'accéder à stdio, stdout, et stderr de processus, via PTY.

> Note: Cette enveloppe n'est pas activé par défaut
> Pour utiliser l'enveloppe expect://, l'extension » Expect disponible sur » PECL doit être installée.

expect:// (PECL)

### Utilisation

- expect://command

### Options

Résumé de l'enveloppe
Attribut | Supporté
--- | ---
Restreint par la fonction allow_url_fopen | Non
Autorise la lecture | Oui
Autorise l'écriture | Oui
Autorise l'ajout | Oui
Autorise la lecture et l'écriture simultanément | Non
Support de la fonction stat() | Non
Support de la fonction unlink() | Non
Support de la fonction rename() | Non
Support de la fonction mkdir() | Non
Support de la fonction rmdir() | Non